Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.servlet
Class ServletMuleMessageFactory

    java.lang.Object
      org.mule.transport.AbstractMuleMessageFactory
          org.mule.transport.servlet.ServletMuleMessageFactory

All Implemented Interfaces:
  MuleMessageFactory

    public class ServletMuleMessageFactory

extends AbstractMuleMessageFactory

Field Summary

Fields inherited from class org.mule.transport.AbstractMuleMessageFactory
`muleContext`

Constructor Summary
`ServletMuleMessageFactory(MuleContext context)`

Method Summary
`protected void` | `addProperties(DefaultMuleMessage message, Object transportMessage)`
`protected void` | `copyAttributes(HttpServletRequest request, Map<String,Object> messageProperties)`
`protected void` | `copyHeaders(HttpServletRequest request, Map<String,Object> messageProperties)`
`protected void` | `copyParameters(HttpServletRequest request, Map<String,Object> messageProperties)`
`protected Object` | `extractPayload(Object transportMessage, String encoding)`
`protected Object` | `extractPayloadFromPostRequest(HttpServletRequest request)`
`protected Class<?>[]` | `getSupportedTransportMessageTypes()`
`protected String` | `queryString(HttpServletRequest request)`
`protected void` | `setupCharacterEncoding(HttpServletRequest request, DefaultMuleMessage message)`
`protected void` | `setupContentType(HttpServletRequest request, DefaultMuleMessage message)`
`protected void` | `setupEncoding(HttpServletRequest request, MuleMessage message)`
`protected void` | `setupMessageProperties(HttpServletRequest request, DefaultMuleMessage message)`
`protected void` | `setupRemoteAddress(HttpServletRequest request, DefaultMuleMessage message)`
`protected void` | `setupRequestParameters(HttpServletRequest request, DefaultMuleMessage message)`
`protected void` | `setupSessionId(HttpServletRequest request, MuleMessage message)`

Methods inherited from class org.mule.transport.AbstractMuleMessageFactory
`addAttachments, create, create`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletMuleMessageFactory

    public ServletMuleMessageFactory(MuleContext context)

Method Detail

### getSupportedTransportMessageTypes

    protected Class<?>[] getSupportedTransportMessageTypes()

  Specified by:
    `getSupportedTransportMessageTypes` in class `AbstractMuleMessageFactory`

### extractPayload

    protected Object extractPayload(Object transportMessage,
                                    String encoding)
                             throws Exception

  Specified by:
    `extractPayload` in class `AbstractMuleMessageFactory`
  Throws:
    `Exception`

### extractPayloadFromPostRequest

    protected Object extractPayloadFromPostRequest(HttpServletRequest request)
                                            throws Exception

  Throws:
    `Exception`

### queryString

    protected String queryString(HttpServletRequest request)

### addProperties

    protected void addProperties(DefaultMuleMessage message,
                                 Object transportMessage)
                          throws Exception

  Overrides:
    `addProperties` in class `AbstractMuleMessageFactory`
  Throws:
    `Exception`

### setupRequestParameters

    protected void setupRequestParameters(HttpServletRequest request,
                                          DefaultMuleMessage message)

### setupEncoding

    protected void setupEncoding(HttpServletRequest request,
                                 MuleMessage message)

### setupSessionId

    protected void setupSessionId(HttpServletRequest request,
                                  MuleMessage message)

### setupContentType

    protected void setupContentType(HttpServletRequest request,
                                    DefaultMuleMessage message)

### setupCharacterEncoding

    protected void setupCharacterEncoding(HttpServletRequest request,
                                          DefaultMuleMessage message)

### setupRemoteAddress

    protected void setupRemoteAddress(HttpServletRequest request,
                                      DefaultMuleMessage message)

### setupMessageProperties

    protected void setupMessageProperties(HttpServletRequest request,
                                          DefaultMuleMessage message)

### copyParameters

    protected void copyParameters(HttpServletRequest request,
                                  Map<String,Object> messageProperties)

### copyAttributes

    protected void copyAttributes(HttpServletRequest request,
                                  Map<String,Object> messageProperties)

### copyHeaders

    protected void copyHeaders(HttpServletRequest request,
                               Map<String,Object> messageProperties)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.